const char* JS_EVENTS[] = {
  "error","abort","load","beforeunload","unload","online","offline","focus","blur","focusin","focusout","open","message","error","close","pagehide","pageshow","popstate","animationstart","animationcancel","animationend","animationiteration","transitionstart","transitioncancel","transitionend","transitionrun","reset","submit","beforeprint","afterprint","compositionstart","compositionupdate","compositionend","fullscreenchange","fullscreenerror","resize","scroll","cut","copy","paste","keydown","keypress","keyup","auxclick","click","contextmenu","dblclick","mousedown","mouseenter","mouseleave","mousemove","mouseover","mouseout","mouseup","pointerlockchange","pointerlockerror","select","wheel","drag","dragend","dragenter","dragstart","dragleave","dragover","drop","audioprocess","canplay","canplaythrough","complete","durationchange","emptied","ended","loadeddata","loadedmetadata","pause","play","playing","ratechange","seeked","seeking","stalled","suspend","timeupdate","volumechange","waiting","abort","error","load","loadend","loadstart","progress","timeout","change","storage","checking","downloading","error","noupdate","obsolete","updateready","broadcast","CheckboxStateChange","hashchange","input","RadioStateChange","readystatechange","ValueChange","invalid","message","message","open","show","abort","vrdisplayactivate","vrdisplayblur","vrdisplayconnect","vrdisplaydeactivate","vrdisplaydisconnect","vrdisplayfocus","vrdisplaypresentchange","SVGAbort","SVGError","SVGLoad","SVGResize","SVGScroll","SVGUnload","SVGZoom","abort","blocked","complete","error","success","upgradeneeded","versionchange","afterscriptexecute","beforescriptexecute","DOMMenuItemActive","DOMMenuItemInactive","close","popuphidden","popuphiding","popupshowing","popupshown","visibilitychange","chargingchange","chargingtimechange","dischargingtimechange","levelchange","alerting","busy","callschanged","cfstatechange","connected","connecting","dialing","disconnected","disconnecting","error","held","holding","incoming","resuming","statechange","voicechange","compassneedscalibration","devicemotion","deviceorientation","orientationchange","icccardlockerror","iccinfochange","smartcard-insert","smartcard-remove","stkcommand","stksessionend","cardstatechange","delivered","received","sent","ussdreceived","mozbrowserclose","mozbrowsercontextmenu","mozbrowsererror","mozbrowsericonchange","mozbrowserlocationchange","mozbrowserloadend","mozbrowserloadstart","mozbrowseropenwindow","mozbrowsersecuritychange","mozbrowsershowmodalprompt","mozbrowsertitlechange","DOMAttributeNameChanged","DOMAttrModified","DOMCharacterDataModified","DOMContentLoaded","DOMElementNameChanged","DOMNodeInserted","DOMNodeInsertedIntoDocument","DOMNodeRemoved","DOMNodeRemovedFromDocument","DOMSubtreeModified","touchcancel","touchend","touchmove","touchstart","pointerover","pointerenter","pointerdown","pointermove","pointerup","pointercancel","pointerout","pointerleave","gotpointercapture","lostpointercapture","abort","abort","abort","afterprint","animationcancel","animationend","animationiteration","animationstart","appinstalled","audioprocess","audioend","audiostart","beforeprint","beforeunload","beginEvent","blocked","blur","boundary","canplay","canplaythrough","change","chargingchange","chargingtimechange","click","close","complete","complete","compositionend","compositionstart","compositionupdate","contextmenu","copy","cut","dblclick","devicechange","devicemotion","deviceorientation","dischargingtimechange","click","DOMAttributeNameChanged","DOMAttrModified","DOMCharacterDataModified","DOMContentLoaded","DOMElementNameChanged","focus","focusin","blur","focusout","DOMNodeInserted","DOMNodeInsertedIntoDocument","DOMNodeRemoved","DOMNodeRemovedFromDocument","DOMSubtreeModified","drag","dragend","dragenter","dragleave","dragover","dragstart","drop","durationchange","emptied","end","end","ended","ended","endEvent","error","error","error","error","error","error","error","focus","focusin","focusout","fullscreenchange","fullscreenerror","gamepadconnected","gamepaddisconnected","gotpointercapture","hashchange","lostpointercapture","input","contenteditable","invalid","keydown","keypress","keyup","languagechange","levelchange","load","load","loadeddata","loadedmetadata","loadend","loadstart","mark","message","message","message","message","messageerror","message","mousedown","mouseenter","mouseleave","mousemove","mouseout","mouseover","mouseup","nomatch","notificationclick","offline","online","open","open","orientationchange","pagehide","pageshow","paste","pause","pause","pointercancel","pointerdown","pointerenter","pointerleave","pointerlockchange","pointerlockerror","pointermove","pointerout","pointerover","pointerup","play","playing","popstate","progress","push","pushsubscriptionchange","ratechange","readystatechange","repeatEvent","reset","resize","resourcetimingbufferfull","result","resume","scroll","seeked","seeking","select","selectstart","selectionchange","show","slotchange","soundend","soundstart","speechend","speechstart","stalled","start","start","storage","submit","success","suspend","SVGAbort","SVGError","SVGLoad","SVGResize","SVGScroll","SVGUnload","SVGZoom","timeout","timeupdate","touchcancel","touchend","touchmove","touchstart","transitionend","unload","upgradeneeded","userproximity","voiceschanged","voiceschanged","versionchange","visibilitychange","volumechange","waiting","wheel","afterscriptexecute","beforescriptexecute","beforeinstallprompt","cardstatechange","change","connectionInfoUpdate","cfstatechange","datachange","dataerror","DOMMouseScroll","wheel","drop","dragend","dragstart","icccardlockerror","iccinfochange","localized","mousewheel","MozAudioAvailable","mozbrowseractivitydone","mozbrowserasyncscroll","mozbrowseraudioplaybackchange","mozbrowsercaretstatechanged","mozbrowserclose","mozbrowsercontextmenu","mozbrowserdocumentfirstpaint","mozbrowsererror","mozbrowserfindchange","mozbrowserfirstpaint","mozbrowsericonchange","mozbrowserlocationchange","mozbrowserloadend","mozbrowserloadstart","mozbrowsermanifestchange","mozbrowsermetachange","mozbrowseropensearch","mozbrowseropentab","mozbrowseropenwindow","mozbrowserresize","mozbrowserscroll","mozbrowserscrollareachanged","mozbrowserscrollviewchange","mozbrowsersecuritychange","mozbrowserselectionstatechanged","mozbrowsercaretstatechanged","mozbrowsershowmodalprompt","mozbrowsertitlechange","mozbrowserusernameandpasswordrequired","mozbrowservisibilitychange","MozGamepadButtonDown","MozGamepadButtonUp","MozMousePixelScroll","MozOrientation","MozScrolledAreaChanged","moztimechange","alerting","busy","callschanged","connected","connecting","delivered","dialing","disabled","disconnected","disconnecting","enabled","error","held","holding","incoming","received","resuming","sent","statechange","statuschange","overflow","smartcard-insert","smartcard-remove","stkcommand","stksessionend","touchenter","touchleave","underflow","progress","ussdreceived","voicechange","msContentZoom","MSManipulationStateChanged","MSPointerHover","broadcast","CheckboxStateChange","command","commandupdate","DOMMenuItemActive","DOMMenuItemInactive","popuphidden","popuphiding","popupshowing","popupshown","RadioStateChange","ValueChange","notification","notification"};

unsigned int JS_EVENTS_LEN = 507;

